Description

Maybe you find it not useful, but to open up internals it would be nice to print internal docs.

This patch just removes :nodoc: comments.

Associated revisions

Revision 0d014df6 - 05/17/2011 08:42 PM - drbrain (Eric Hodel)

lib/benchmark.rb:  Remove nodoc from Benchmark::Job and

Benchmark::Report.  Patch by Sandor SzÃ¼cs.  [Ruby 1.9 - Bug #4726]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31620 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5bf1c145 - 05/25/2011 12:38 AM - drbrain (Eric Hodel)

lib/benchmark.rb:  Restore nodoc for Benchmark::Job and

Benchmark::Report.  [Ruby 1.9 - Bug #4726]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31729 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/18/2011 05:42 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31620.

Sandor, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/benchmark.rb:  Remove nodoc from Benchmark::Job and

Benchmark::Report.  Patch by Sandor SzÃ¼cs.  [Ruby 1.9 - Bug #4726]

#2 - 05/24/2011 10:17 PM - mame (Yusuke Endoh)

- Status changed from Closed to Open

Hello,

Maybe you find it not useful, but to open up internals it would be nice to print internal docs.

 Why do you want to open internal?

Generally, I don't think it is a good idea.

It limits future potential.

--

Yusuke Endoh mame@tsg.ne.jp

#3 - 05/25/2011 07:46 AM - Eregon (Benoit Daloze)
Hello,

Yusuke Endoh wrote:

Hello,

Maybe you find it not useful, but to open up internals it would be nice to print internal docs.

 Why do you want to open internal?

Generally, I don't think it is a good idea.

It limits future potential.

--

Yusuke Endoh mame@tsg.ne.jp

 I must agree, opening the internals would make harder sensible internal changes.

However, with :nodoc:, it is unclear which methods are available on the yielded object in Benchmark#{benchmark,bm,bmbm}.

(that is probably why I never saw anyone using #item, to which #report is an alias)

Thank you for pointing this out, but I would prefer to keep the internals undocumented to the end user for the moment.

#4 - 05/25/2011 09:38 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

This issue was solved with changeset r31729.

Sandor, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/benchmark.rb:  Restore nodoc for Benchmark::Job and

Benchmark::Report.  [Ruby 1.9 - Bug #4726]

#5 - 05/25/2011 09:40 AM - drbrain (Eric Hodel)

If the details of the yielded object are a specification we should document them, but the benchmark maintainer needs to agree first.

Files

0001-removed-nodoc-because-the-most-is-documented.patch 1.46 KB 05/18/2011 sz (Sandor Szücs)
